[
    {
        "fieldName": "id",
        "dataType": "BIGINT",
        "notNullValue": true,
        "primaryKey": true,
        "autoIncrement": true
    },
    {
        "fieldName": "uuid",
        "dataType": "UUID",
        "defaultValueLiteral": "UUID()"
    },
    {
        "fieldName": "date_created",
        "dataType": "VARCHAR(250)",
        "nullValue": true
    },
    {
        "fieldName": "date_created_code",
        "dataType": "BIGINT",
        "nullValue": true
    },
    {
        "fieldName": "date_created_timestamp",
        "dataType": "TIMESTAMP",
        "defaultValueLiteral": "CURRENT_TIMESTAMP"
    },
    {
        "fieldName": "date_updated",
        "dataType": "VARCHAR(250)",
        "nullValue": true
    },
    {
        "fieldName": "date_updated_code",
        "dataType": "BIGINT",
        "nullValue": true
    },
    {
        "fieldName": "date_updated_timestamp",
        "dataType": "TIMESTAMP",
        "defaultValueLiteral": "CURRENT_TIMESTAMP",
        "onUpdateLiteral": "CURRENT_TIMESTAMP"
    }
]
